Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.el
Class MethodBinding

    java.lang.Object
      javax.faces.el.MethodBinding

public abstract class MethodBinding
extends java.lang.Object

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Thomas Spiegl (latest modification by $Author: mwessendorf $)

Constructor Summary
`MethodBinding()`

Method Summary
`java.lang.String` | `getExpressionString()`
`abstract java.lang.Class` | `getType(FacesContext facescontext)`
`abstract java.lang.Object` | `invoke(FacesContext facescontext, java.lang.Object[] aobj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodBinding

    public MethodBinding()

Method Detail

### getExpressionString

    public java.lang.String getExpressionString()

### getType

    public abstract java.lang.Class getType(FacesContext facescontext)
                                     throws MethodNotFoundException

  Throws:
    `MethodNotFoundException`

### invoke

    public abstract java.lang.Object invoke(FacesContext facescontext,
                                            java.lang.Object[] aobj)
                                     throws EvaluationException,
                                            MethodNotFoundException

  Throws:
    `EvaluationException`
    `MethodNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD